﻿<?php


require_once 'lib/hashed_array.php';
require_once 'lib/tv/abstract_tv.php';
require_once 'lib/tv/default_epg_item.php';

require_once 'surface_channel.php';



class SurfaceM3uTv extends AbstractTv
{
    public function __construct()
    {
        parent::__construct(
            AbstractTv::MODE_CHANNELS_N_TO_M,
            Config::TV_FAVORITES_SUPPORTED,
            $playback_url_is_stream_url = true);
    }

    public function get_fav_icon_url()
    {
        return Config::FAV_CHANNEL_GROUP_ICON_PATH;
    }

    
    
    
    

    protected function load_channels(&$plugin_cookies)
    {
        $this->channels = new HashedArray();
        $this->groups = new HashedArray();

		$default_group = new DefaultGroup($id='__all_channels', $title=Config::ALL_CHANNEL_GROUP_CAPTION, $icon_url = null);
		

        	$ch_1 = new SurfaceChannel(
        		$id = strval('channel_1'), 
        		$title = 'Radio Record',
				$icon = 'plugin_file://icons/record.png',
				$streaming_url = 'http://audio_stream://air.radiorecord.ru:8101/rr_320',
				$number = 1, 
				$past_epg_days = 0, 
				$future_epg_days = 0, 
				$epg_url = false);
        	$ch_1->add_group($default_group);
        	$this->channels->put($ch_1);
        	$default_group->add_channel($ch_1);

		
        	$ch_2 = new SurfaceChannel(
        		$id = strval('channel_2'), 
        		$title = 'Супердискотека 90-х',
				$icon = 'plugin_file://icons/sd90.png',
				$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/sd90_320',
				$number = 2, 
				$past_epg_days = 0, 
				$future_epg_days = 0, 
			$epg_url = false);	
        	$this->channels->put($ch_2);
        	$ch_2->add_group($default_group);
        	$default_group->add_channel($ch_2);
			
			$ch_3 = new SurfaceChannel(
        		$id = strval('channel_3'), 
        		$title = 'Trancemission',
				$icon = 'plugin_file://icons/tm.png',
				$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/tm_320',
				$number = 3, 
				$past_epg_days = 0, 
				$future_epg_days = 0, 
			$epg_url = false);	
        	$this->channels->put($ch_3);
        	$ch_3->add_group($default_group);
        	$default_group->add_channel($ch_3);
			
			$ch_4 = new SurfaceChannel(
        		$id = strval('channel_4'), 
        		$title = 'Russian Mix',
				$icon = 'plugin_file://icons/rm.png',
				$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/rus_320',
				$number = 4, 
				$past_epg_days = 0, 
				$future_epg_days = 0, 
			$epg_url = false);	
        	$this->channels->put($ch_4);
        	$ch_4->add_group($default_group);
        	$default_group->add_channel($ch_4);
			
			$ch_5 = new SurfaceChannel(
        		$id = strval('channel_5'), 
        		$title = 'Медляк FM',
				$icon = 'plugin_file://icons/mfm.png',
				$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/mdl_320',
				$number = 5, 
				$past_epg_days = 0, 
				$future_epg_days = 0, 
			$epg_url = false);	
        	$this->channels->put($ch_5);
        	$ch_5->add_group($default_group);
        	$default_group->add_channel($ch_5);
		
		
			$ch_6 = new SurfaceChannel(
					$id = strval('channel_6'), 
					$title = 'Record Chill-Out',
					$icon = 'plugin_file://icons/co.png',
					$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/chil_320',
					$number = 6, 
					$past_epg_days = 0, 
					$future_epg_days = 0, 
				$epg_url = false);	
				$this->channels->put($ch_6);
				$ch_6->add_group($default_group);
				$default_group->add_channel($ch_6);
			
				$ch_7 = new SurfaceChannel(
					$id = strval('channel_7'), 
					$title = 'Record Club',
					$icon = 'plugin_file://icons/rc.png',
					$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/club_320',
					$number = 7, 
					$past_epg_days = 0, 
					$future_epg_days = 0, 
				$epg_url = false);	
				$this->channels->put($ch_7);
				$ch_7->add_group($default_group);
				$default_group->add_channel($ch_7);
				
				$ch_8 = new SurfaceChannel(
					$id = strval('channel_8'), 
					$title = 'Гоп FM ',
					$icon = 'plugin_file://icons/gop.png',
					$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/gop_320',
					$number = 8, 
					$past_epg_days = 0, 
					$future_epg_days = 0, 
				$epg_url = false);	
				$this->channels->put($ch_8);
				$ch_8->add_group($default_group);
				$default_group->add_channel($ch_8);
				
				$ch_9 = new SurfaceChannel(
					$id = strval('channel_9'), 
					$title = 'Vip Mix',
					$icon = 'plugin_file://icons/vm.png',
					$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/vip_320',
					$number = 9, 
					$past_epg_days = 0, 
					$future_epg_days = 0, 
				$epg_url = false);	
				$this->channels->put($ch_9);
				$ch_9->add_group($default_group);
				$default_group->add_channel($ch_9);
				
				$ch_10 = new SurfaceChannel(
					$id = strval('channel_10'), 
					$title = 'Pirate Station',
					$icon = 'plugin_file://icons/ps.png',
					$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/ps_320',
					$number = 10, 
					$past_epg_days = 0, 
					$future_epg_days = 0, 
				$epg_url = false);	
				$this->channels->put($ch_10);
				$ch_10->add_group($default_group);
				$default_group->add_channel($ch_10);
				
				$ch_11 = new SurfaceChannel(
					$id = strval('channel_11'), 
					$title = 'Record Deep',
					$icon = 'plugin_file://icons/deep.png',
					$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/deep_320',
					$number = 11, 
					$past_epg_days = 0, 
					$future_epg_days = 0, 
				$epg_url = false);	
				$this->channels->put($ch_11);
				$ch_11->add_group($default_group);
				$default_group->add_channel($ch_11);
				
				$ch_12 = new SurfaceChannel(
					$id = strval('channel_12'), 
					$title = 'Record Breaks',
					$icon = 'plugin_file://icons/breaks.png',
					$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/brks_320',
					$number = 12, 
					$past_epg_days = 0, 
					$future_epg_days = 0, 
				$epg_url = false);	
				$this->channels->put($ch_12);
				$ch_12->add_group($default_group);
				$default_group->add_channel($ch_12);
				
				$ch_13 = new SurfaceChannel(
					$id = strval('channel_13'), 
					$title = 'Record Dancecore',
					$icon = 'plugin_file://icons/dc.png',
					$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/dc_320',
					$number = 13, 
					$past_epg_days = 0, 
					$future_epg_days = 0, 
				$epg_url = false);	
				$this->channels->put($ch_13);
				$ch_13->add_group($default_group);
				$default_group->add_channel($ch_13);
				
				$ch_14 = new SurfaceChannel(
					$id = strval('channel_14'), 
					$title = 'Record Dubstep',
					$icon = 'plugin_file://icons/urban.png',
					$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/dub_320',
					$number = 14, 
					$past_epg_days = 0, 
					$future_epg_days = 0, 
				$epg_url = false);	
				$this->channels->put($ch_14);
				$ch_14->add_group($default_group);
				$default_group->add_channel($ch_14);
				
				$ch_15 = new SurfaceChannel(
					$id = strval('channel_15'), 
					$title = 'Record Trap',
					$icon = 'plugin_file://icons/trap.png',
					$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/trap_320',
					$number = 15, 
					$past_epg_days = 0, 
					$future_epg_days = 0, 
				$epg_url = false);	
				$this->channels->put($ch_15);
				$ch_15->add_group($default_group);
				$default_group->add_channel($ch_15);
				
				$ch_16 = new SurfaceChannel(
					$id = strval('channel_16'), 
					$title = 'Record Hardstyle',
					$icon = 'plugin_file://icons/th.png',
					$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/teo_320',
					$number = 16, 
					$past_epg_days = 0, 
					$future_epg_days = 0, 
				$epg_url = false);	
				$this->channels->put($ch_16);
				$ch_16->add_group($default_group);
				$default_group->add_channel($ch_16);
				
				$ch_17 = new SurfaceChannel(
					$id = strval('channel_17'), 
					$title = 'Yo! FM',
					$icon = 'plugin_file://icons/yo.png',
					$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/yo_320',
					$number = 17, 
					$past_epg_days = 0, 
					$future_epg_days = 0, 
				$epg_url = false);	
				$this->channels->put($ch_17);
				$ch_17->add_group($default_group);
				$default_group->add_channel($ch_17);
				
				$ch_18 = new SurfaceChannel(
					$id = strval('channel_18'), 
					$title = "Pump'n'Klubb",
					$icon = 'plugin_file://icons/pnk.png',
					$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/pump_320',
					$number = 18, 
					$past_epg_days = 0, 
					$future_epg_days = 0, 
				$epg_url = false);	
				$this->channels->put($ch_18);
				$ch_18->add_group($default_group);
				$default_group->add_channel($ch_18);
				
				$ch_19 = new SurfaceChannel(
					$id = strval('channel_19'), 
					$title = "Rock Radio",
					$icon = 'plugin_file://icons/rock.png',
					$streaming_url = 'http://audio_stream://air.radiorecord.ru:8102/rock_320',
					$number = 19, 
					$past_epg_days = 0, 
					$future_epg_days = 0, 
				$epg_url = false);	
				$this->channels->put($ch_19);
				$ch_19->add_group($default_group);
				$default_group->add_channel($ch_19);

		
		$this->groups->put($default_group);
    }
	
    public function get_day_epg_iterator($channel_id, $day_start_ts, &$plugin_cookies)
    {
    	// if we have wrong EPG behavior, just leave it
    	$epg = array();
        return
            new EpgIterator(
                $epg,
                $day_start_ts,
                $day_start_ts + 86400);
    }

    
	public function get_group($group_id=null)
    {
        $g = $this->groups->get($this->get_all_channel_group_id());
		
        if (is_null($g))
            throw new Exception("Unknown group: $group_id");

        return $g;
    }
    
    private function clean_up_text_for_display($string)
    {
        $string = stripcslashes($string);
        $string = strip_tags($string);
        $string = str_replace('""', '"', $string);
        $string = str_replace("''", "'", $string);
        return $string;
    }
}
?>